
Packaging - Feature #6901

foreman-cleanup command

08/04/2014 05:49 AM - Jorick Astrego

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Because I was testing different setups and messing them up, it becomes a bit tedious to remove all the components of forman and

start again.

In ovirt I use engine-cleanup a lot so it would be really great for admins when foreman has one too

Something like this

1. foreman-cleanup

2. yum remove foreman*

3. yum install foreman

4. foreman installer

http://www.ovirt.org/Features/engine-cleanup

https://github.com/oVirt/ovirt-engine/blob/e0f57f0ae5887da0148fc8528a1a32851ec4ac36/packaging/setup/plugins/ovirt-engine-remo

ve/base/core/misc.py

Related issues:

Related to Packaging - Bug #6685: foreman-selinux left installed after "yum r... Rejected 07/18/2014

History

#1 - 08/04/2014 06:34 AM - Dominic Cleal

- Related to Bug #6685: foreman-selinux left installed after "yum remove foreman forman-proxy" added

#2 - 05/28/2018 07:41 PM - Ewoud Kohl van Wijngaarden

We have a katello-remove script. It'd be good to make that generic enough to also allow cleanups of Foreman.

#3 - 05/28/2018 09:13 PM - Martin Bacovsky

That would be good candidate for inclusion in foreman-maintain.

#4 - 02/12/2020 08:15 PM - Eric Helms

- Status changed from New to Rejected

We had a katello-remove and deprecated to reduce overhead of maintaining the script and to encourage users to start fresh if they feel they need to

start again.
